## python-munch 4.0.0

=== requirements.txt ===
importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

## python-munch 2.0.4

=== debian/changelog ===
python-munch (2.0.4-1) unstable; urgency=low

  * Initial release. Closes: #804704

 -- Clint Byrum <spamaps@debian.org>  Tue, 10 Nov 2015 10:38:21 -0800

=== debian/control ===
Source: python-munch
Section: python
Priority: extra
Maintainer: Clint Byrum <spamaps@debian.org>
Build-Depends: debhelper (>=9),
	python-all,
    python3-all,
    python-setuptools,
    python3-setuptools,
    dh-python,
Standards-Version: 3.9.5
Homepage: https://github.com/infinidat/munch
Vcs-Git: git://anonscm.debian.org/collab-maint/python-munch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-munch.git
X-Python-Version: >= 2.6

Package: python-munch
Architecture: all
Multi-Arch: foreign
Depends: python,
	${misc:Depends},
	${python:Depends}
Description: A dot-accessible dictionary similar to JavaScript objects
 Munch is a fork of David Schoonover’s Bunch package, providing similar
 functionality. 99% of the work was done by him, and the fork was made
 mainly for lack of responsiveness for fixes and maintenance on the
 original code.
 .
 Munch is a dictionary that supports attribute-style access, a la
 JavaScript.
 .
 This package contains the library prepared for Python 2.

Package: python3-munch
Architecture: all
Multi-Arch: foreign
Depends: python3,
	${misc:Depends},
	${python3:Depends}
Description: A dot-accessible dictionary similar to JavaScript objects
 Munch is a fork of David Schoonover’s Bunch package, providing similar
 functionality. 99% of the work was done by him, and the fork was made
 mainly for lack of responsiveness for fixes and maintenance on the
 original code.
 .
 Munch is a dictionary that supports attribute-style access, a la
 JavaScript.
 .
 This package contains the library prepared for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
DH_ALWAYS_EXCLUDE=CVS:.svn:.git
export PYBUILD_NAME = munch

%:
		dh $@ --with python2 --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/munch/munch-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-munch 2.2.0

=== debian/changelog ===
python-munch (2.2.0-1ubuntu2) bionic; urgency=medium

  * d/tests: Add basic autopkgtests to test module imports.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 15:14:07 -0500

python-munch (2.2.0-1ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/control: Add python(3)-six to BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 14:03:18 -0500

python-munch (2.2.0-1) unstable; urgency=medium

  [ Clint Byrum ]
  * Change maintainer to DPMT

  [ Thomas Goirand ]
  * New upstream release (Closes: #890275).
  * Added myself as uploaded.
  * Ran wrap-and-sort -bast.
  * Changed Priority: from extra to optional as per policy 4.1.0.
  * Fixed duplicated short descriptions.
  * Points VCS URLs to Salsa.
  * Standards-Version is now 4.1.3.
  * Copyright format URL now using https.
  * Watch file using https.
  * Using debhelper 10.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 21:07:43 +0000

=== debian/control ===
Source: python-munch
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Clint Byrum <spamaps@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-setuptools,
 python-six,
 python3-all,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.3
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-munch
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-munch
Homepage: https://github.com/infinidat/munch

Package: python-munch
Architecture: all
Multi-Arch: foreign
Depends:
 python,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: dot-accessible dictionary similar to JavaScript objects - Python 2.7
 Munch is a fork of David Schoonover’s Bunch package, providing similar
 functionality. 99% of the work was done by him, and the fork was made
 mainly for lack of responsiveness for fixes and maintenance on the
 original code.
 .
 Munch is a dictionary that supports attribute-style access, a la
 JavaScript.
 .
 This package contains the library prepared for Python 2.7.

Package: python3-munch
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: dot-accessible dictionary similar to JavaScript objects - Python 3.x
 Munch is a fork of David Schoonover’s Bunch package, providing similar
 functionality. 99% of the work was done by him, and the fork was made
 mainly for lack of responsiveness for fixes and maintenance on the
 original code.
 .
 Munch is a dictionary that supports attribute-style access, a la
 JavaScript.
 .
 This package contains the library prepared for Python 3.x.

=== debian/tests/control ===
Tests: python-munch python3-munch
Depends: python-munch, python3-munch
Restrictions: needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/munch/munch-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-munch 2.3.2

=== debian/changelog ===
python-munch (2.3.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 22 Aug 2019 00:29:29 +0500

python-munch (2.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Clint Byrum ]
  * New upstream release

 -- Clint Byrum <spamaps@debian.org>  Sun, 06 Jan 2019 07:55:26 -0800

python-munch (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Enable autopkgtest-pkg-python testsuite (Closes: #890512)
    - Add python{,3}-six to B-D (Closes: #890527)
    - Remove python{,3} and python{,3}-six from Depends (not needed)
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Thu, 15 Feb 2018 17:35:12 +0100

=== debian/control ===
Source: python-munch
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Clint Byrum <spamaps@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/python-team/modules/python-munch.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-munch
Homepage: https://github.com/infinidat/munch
Testsuite: autopkgtest-pkg-python

Package: python3-munch
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: dot-accessible dictionary similar to JavaScript objects - Python 3.x
 Munch is a fork of David Schoonover’s Bunch package, providing similar
 functionality. 99% of the work was done by him, and the fork was made
 mainly for lack of responsiveness for fixes and maintenance on the
 original code.
 .
 Munch is a dictionary that supports attribute-style access, a la
 JavaScript.
 .
 This package contains the library prepared for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f
DH_ALWAYS_EXCLUDE=CVS:.svn:.git
export PYBUILD_NAME = munch

%:
		dh $@ --with python3 --buildsystem=pybuild

## python-munch 2.5.0

=== debian/changelog ===
python-munch (2.5.0-2) unstable; urgency=medium

  * Run unit tests instead of autopkgtest-pkg-python (Closes: #1006850).
  * Add depends on  python3-pkg-resources and python3-six.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2022 09:19:11 +0100

python-munch (2.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * New upstream release.
  * Add python3-pbr, python3-pip and python3-pytest as build-depends.
  * Add override_dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 08:53:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,31 @@
 Source: python-munch
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Clint Byrum <spamaps@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-pbr,
+ python3-pip,
+ python3-pkg-resources,
+ python3-pytest,
  python3-setuptools,
  python3-six,
 Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-munch.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-munch
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-munch.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-munch
 Homepage: https://github.com/infinidat/munch
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-munch
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ python3-pkg-resources,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: dot-accessible dictionary similar to JavaScript objects - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 		dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	PYTHONPATH=. python3 -m pytest tests

## python-munch 4.0.0

=== debian/changelog ===
python-munch (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python3.13 using patch (Closes: #1082233)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Nov 2024 17:08:42 +0100

python-munch (4.0.0-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Team upload.
  * New upstream release.
  * d/gbp.conf: Pull and commit to pristine-tar branch.
  * d/control: Bump Standards-Version from 4.1.3 to 4.6.2, set
    Rules-Requires-Root to no, and add testsuite autopkgtest-pkg-pybuild.
  * d/tests: Removed, upstream tests run by autopkgtest-pkg-pybuild.
  * d/watch: Bump version from 3 to 4.
  * d/upstream/metadata: Add Archive Github.
  * d/salsa-ci.yml: Enable salsa-ci pipeline.

  [ Jeroen Ploemen ]
  * Control: remove unused (build-)deps on python3-{pip,pkg-
    resources,six}; add build-dep on python3-yaml.
  * Rules: remove override of dh_auto_test; list required files in
    d/pybuild.testfiles instead.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 01 Nov 2023 20:38:52 +0000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-pbr,
- python3-pip,
- python3-pkg-resources,
  python3-pytest,
  python3-setuptools,
- python3-six,
-Standards-Version: 4.1.3
+ python3-yaml,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-munch.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-munch
 Homepage: https://github.com/infinidat/munch
@@ -24,8 +24,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-pkg-resources,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: dot-accessible dictionary similar to JavaScript objects - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = munch

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/munch/munch-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
